petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscObjectSetFortranCallback

set fortran callback function pointer and context

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectSetFortranCallback(PetscObject obj,PetscFortranCallbackType cbtype,PetscFortranCallbackId *cid,void (*func)(void),void *ctx)

Logically Collective

### Input Arguments

| obj | - object on which to set callback
| cbtype | - callback type (class or subtype)
| cid | - address of callback Id, updated if not yet initialized (zero)
| func | - Fortran function
| ctx | - Fortran context

### See Also

PetscObjectGetFortranCallback()

Level:developer
Location:src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages